#!/usr/bin/python

import urllib2

class TropeSet:
	def __init__(self,html=""):
		self.tropes = []
		if html != "":
			self.load(html)
		return

	def load(self,html):
		begincursor = html.find("wikitext")
		searchstring = "<a class='twikilink' href='"
		finalcursor = html.find("</td><!-- wikibody -->")
		cursor = begincursor
		
		while cursor != -1:
			startcursor = html.find(searchstring,cursor,finalcursor) + len(searchstring)
			endcursor = html.find("'",startcursor,finalcursor)
			name = html[startcursor:endcursor]

			if (startcursor < cursor):
				break

			self.tropes.append(name)
			cursor = endcursor

if __name__ == "__main__":
	#response = urllib2.urlopen("http://tvtropes.org/pmwiki/randomitem.php?p=1")
	#response = urllib2.urlopen("http://tvtropes.org/pmwiki/pmwiki.php/Main/LiteratureOfThe2000s")
	response = urllib2.urlopen("http://tvtropes.org/pmwiki/pmwiki.php/Main/LiteratureOfThe2010s")
	#response = urllib2.urlopen("http://tvtropes.org/pmwiki/pmwiki.php/Characters/Literature")
	html = response.read()
	tropes = TropeSet(html)
	for trope in tropes.tropes:
		print trope
