#!/usr/bin/python

import urllib2
from TropeSetWith import *
import sys,os
import random

#class TropeSet:
#	def __init__(self,html=""):
#		self.tropes = []
#		self.load(html)
#		return
#
#	def load(self,html):
#		begincursor = html.find("wikitext")
#		searchstring = "<a class='twikilink' href='"
#		finalcursor = html.find("</td><!-- wikibody -->")
#		cursor = begincursor
#		
#		while cursor != -1:
#			startcursor = html.find(searchstring,cursor,finalcursor) + len(searchstring)
#			endcursor = html.find("'",startcursor,finalcursor)
#			name = html[startcursor:endcursor]
#
#			if (startcursor < cursor):
#				break
#
#			print(name)
#			self.tropes.append(name)
#			cursor = endcursor

folder = sys.argv[1]
if folder[-1] != "/":
	folder += "/"

tropeset = TropeSet()
ls = os.listdir(folder)
for filename in ls:
	f = open(folder+filename)
	tropeset.load(f.read())
	f.close()
	
sizeset = TropeSet()
g = open(folder+random.choice(ls))
text = g.read()
g.close()
sizeset.load(text)
#generatesize = len(sizeset.tropes)
#generatesize /= text.count('style="display:block;"')
tropes = {}

generatesize = 10

for i in range(generatesize):
	randnum = random.choice(range(len(tropeset.tropes)))

	tropes[ tropeset.tropes[randnum] ] = tropeset.descs[randnum]

	#tropes.append(tropeset.tropes[randnum])
	#descs.append(tropeset.descs[randnum])

keys = tropes.keys()
keys.sort()

print """
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" >
<head>
<link rel="stylesheet" type="text/css" href="http://static.tvtropes.org/css/css_white.css" />
<style>
strike{display:none;}
.strike{display:none;}
.YMMV_lit { background-position:-8px -7px; }
.YMMV { background-position:-8px -1190px; }
span.tiptag {font-size:smaller;cursor:pointer;}
span.notelabel {font-size:smaller;cursor:pointer;font-style:italic;}
.indent {margin-top:4px;margin-bottom:4px;}
</style>
</head>
<body>
<ul style="text-align:left;"><li>
"""

for trope in keys:
	print "<li><a  class='twikilink' href=\""+trope + "\">" + trope.split("/")[-1]+ "</a>" + tropes[trope]+"</li>"

print """
</ul>
</body>
</html>
"""
